From: "Ævar Arnfjörð Bjarmason" <avarab@gmail.com>
To: git@vger.kernel.org
Cc: "Junio C Hamano" <gitster@pobox.com>,
"Ævar Arnfjörð Bjarmason" <avarab@gmail.com>
Subject: [PATCH/RFC 18/20] gettextize: git-bisect bisect_replay + $1 messages
Date: Tue, 14 Sep 2010 13:52:18 +0000 [thread overview]
Message-ID: <1284472340-7049-19-git-send-email-avarab@gmail.com> (raw)
In-Reply-To: <1284472340-7049-1-git-send-email-avarab@gmail.com>
Gettextize bisect_replay messages that use the $1 variable. Since it's
subroutine local we have to provide an alias for it for eval_gettext.
Since I was doing that anyway I've changed all other uses of $1
variable to use the alias variable for clarity.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
---
git-bisect.sh | 5 +++--
1 files changed, 3 insertions(+), 2 deletions(-)
diff --git a/git-bisect.sh b/git-bisect.sh
index 64c6b81..f3162d6 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -341,7 +341,8 @@ bisect_clean_state() {
}
bisect_replay () {
- test -r "$1" || die "cannot read $1 for replaying"
+ file="$1"
+ test -r "$file" || die "$(eval_gettext "cannot read \$file for replaying")"
bisect_reset
while read git bisect command rev
do
@@ -359,7 +360,7 @@ bisect_replay () {
*)
die "$(gettext "?? what are you talking about?")" ;;
esac
- done <"$1"
+ done <"$file"
bisect_auto_next
}
--
1.7.3.rc1.234.g8dc15
next prev parent reply other threads:[~2010-09-14 13:54 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2010-09-14 13:52 [PATCH/RFC 00/20] gettextize: git-stash & git-bisect Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 01/20] gettextize: git-stash add git-sh-i18n Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 02/20] gettextize: git-stash echo + gettext message Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 03/20] gettextize: git-stash say + gettext messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 04/20] gettextize: git-stash die " Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 05/20] gettextize: git-stash die + eval_gettext messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 06/20] gettextize: git-stash die + eval_gettext $* messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 07/20] gettextize: git-stash die + eval_gettext $1 messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 08/20] gettextize: git-stash "unknown option" message Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 09/20] gettextize: git-stash drop_stash say/die messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 10/20] gettextize: git-bisect add git-sh-i18n Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 11/20] gettextize: git-bisect gettext + echo message Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 12/20] gettextize: git-bisect echo + gettext messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 13/20] gettextize: git-bisect echo + eval_gettext message Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 14/20] gettextize: git-bisect die + gettext messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 15/20] gettextize: git-bisect die + eval_gettext messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 16/20] gettextize: git-bisect bisect_run + $@ messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 17/20] gettextize: git-bisect bisect_reset + $1 messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` Ævar Arnfjörð Bjarmason [this message]
2010-09-14 13:52 ` [PATCH/RFC 19/20] gettextize: git-bisect [Y/n] messages Ævar Arnfjörð Bjarmason
2010-09-14 13:52 ` [PATCH/RFC 20/20] gettextize: git-bisect bisect_next_check "You need to" message Ævar Arnfjörð Bjarmason
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1284472340-7049-19-git-send-email-avarab@gmail.com \
--to=avarab@gmail.com \
--cc=git@vger.kernel.org \
--cc=gitster@pobox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.